/// <reference types="cypress" />

describe('InvoiceInCorrective', () => {
    const createRectificative = '.q-menu > .q-list > :nth-child(4) > .q-item__section';
    const rectificativeSection = '.q-drawer-container .q-list > a:nth-child(6)';
    const saveDialog = '.q-card > .q-card__actions > .q-btn--standard ';

    it('should create a correcting invoice', () => {
        cy.login('developer');
        cy.visit(`/#/invoice-in/1/summary?limit=10`);

        cy.openLeftMenu();
        cy.openActionsDescriptor();

        cy.get(createRectificative).click();
        cy.get(saveDialog).click();
        cy.openLeftMenu();
        cy.get(rectificativeSection).click();
        cy.get('tbody > tr:visible').should('have.length', 1);
    });
});
